#include <bits/stdc++.h>

using namespace std;
using ll = long long;

int main() {
#ifdef home
    freopen("f.in", "r", stdin);
    freopen("f.out", "w", stdout);
#endif
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int n, m, usls;
    cin >> n >> m >> usls;
    vector<vector<int>> g(n);
    vector<vector<pair<int, int>>> cg(n);
    for (int i = 0; i < m; i++) {
        int v, u;
        cin >> v >> u;
        v--, u--;
        g[v].emplace_back(u);
        cg[v].emplace_back(u, i);
        cg[u].emplace_back(v, i);
    }
    vector<bool> used(n);
    cout << "0\n";
    cout << "1\n";
    return 0;
}
